### Function

# Gtk.param_spec_expression

#### Declaration [src]

    GParamSpec*
    gtk_param_spec_expression (
      const char* name,
      const char* nick,
      const char* blurb,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GParamSpec` instance for a property holding a `GtkExpression`.

See `g_param_spec_internal()` for details on the property strings.

#### Parameters

`name` | `const char*`
| canonical name of the property
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`nick` | `const char*`
| a user-readable name for the property
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`blurb` | `const char*`
| a user-readable description of the property
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`flags` | `GParamFlags`
| flags for the property

#### Return value

Returns: `GParamSpec*`
a newly created property specification
Ownership of the data is transferred to the caller